<?php
//=================================================================
// KOOBI R7 - CMS - PORTALSOFTWARE(c) DREAM4(r) 
// HTTP://WWW.DREAM4.DE
//=================================================================
// ACHTUNG!
// DIESER PROGRAMMCODE IST URHERRECHTLICH GESCHUETZT
// DIE URHEBERRECHTE LIEGEN BEI DEN JEWEILIGEN AUTOREN.
// AENDERUNGEN IN DIESER DATEI ERFOLGEN AUF EIGENE GEFAHR!
// ES IST NICHT GESTATTET, DEN COPYRIGHTHINWEIS ZU AENDERN ODER ZU
// ENTFERNEN. NUR WENN SIE EINE COPYRIGHTHINWEIS-ENTFERNUNG BESTELLT
// HABEN, DUERFEN SIE DIESEN ENTFERNEN.
//================================================================
// BEI FRAGEN WENDEN SIE SICH BITTE AN: KONTAKT@DREAM4.DE
//=================================================================

//==================================================================
// Benutzergruppen-Name ermitteln
//=================================================================
function fetchgroupname($id)
{
	
    $sql = $GLOBALS['db']->Query("SELECT Name as groupname_single FROM " . PREFIX . "_benutzer_gruppen WHERE Id='" . $id . "'");
    $row = $sql->fetchrow();
    $group = stripslashes(kspecialchars($row-> groupname_single));
    $sql->close();
    return $group;
} 
//=================================================================
// Benutzername ermitteln
//=================================================================
function fetchusername($param)
{
	$where = (@is_array($param)) ? $param['userid'] : $param;
    $sql = $GLOBALS['db']->Query("SELECT Benutzername as uname FROM " . PREFIX . "_benutzer WHERE Id='$where'");
    $row_thusername = $sql->fetchrow();
    return stripslashes(kspecialchars(@$row_thusername->uname));
} 

//=================================================================
// Vor - Nachname ermitteln
//=================================================================
function fetchuser_firstlast($param)
{
	$where = (@is_array($param)) ? $param['userid'] : $param;
	$sql = $GLOBALS['db']->Query("SELECT Vorname as name, Nachname as lastname FROM " . PREFIX . "_benutzer WHERE Id='$where'");
	$r = $sql->fetchrow();
	return $r->name . ' ' . $r->lastname;
} 

//=================================================================
// Benutzer anhand des Namen suchen
//=================================================================
function fetchuserid($name)
{
	$sql = $GLOBALS['db']->Query("SELECT Id FROM " . PREFIX . "_benutzer WHERE Benutzername='" . $name . "'");
	$row = $sql->fetchrow();
	$uid = $row->Id;
	$sql->close();
	return $uid;
} 

//=================================================================
// Benutzersuche fuer P.N.
//=================================================================
function UserSerarchPn()
{
	if(UGROUP==2) exit;
	$sname = $GLOBALS['config_vars']['PN_SearchUser'];
	$usererg = '';
	if((isset($_REQUEST['search']) && $_REQUEST['search']=="1") && !empty($_REQUEST['name']))
	{ 
		$nametemp = preg_replace('/([^A-Za-zÀ-ÖØ-öø-ÿ0-9-. ]*)/', '', $_REQUEST['name']);
		$nametemp = $nametemp . "%";
		$sql = $GLOBALS['db']->Query("SELECT Benutzername as uname FROM ".PREFIX."_benutzer WHERE Benutzername LIKE '" . $nametemp . "' AND Aktiv='1' AND Geloescht!='1' ");
		
		while($row=$sql->fetchrow()) 
		{
			$usererg .= "<a href='javascript:unametofield(\"".$row->uname."\");'>$row->uname</a><br>";
		}
		
		if($usererg) 
		{
			$GLOBALS['tmpl']->assign('userfound', 1);
		}
		
	} 
	$GLOBALS['tmpl']->assign('userfound_t', $GLOBALS['config_vars']['PN_searchuser_found']);
	$GLOBALS['tmpl']->assign('usererg', $usererg);
	$GLOBALS['tmpl']->assign('searchuser', $GLOBALS['config_vars']['PN_SearchUser']);
	$GLOBALS['tmpl']->assign('pagetitle_html', $GLOBALS['config_vars']['PN_SearchUser']);
	$GLOBALS['tmpl']->assign('content', $GLOBALS['tmpl']->fetch($GLOBALS['config']['source'] . '/forums/searchuser_popup.tpl')); 
}

//========================================================
// gibt alle user aus, die heute geburtstag haben
//========================================================
function today_birthdays($d_b = "", $m_b = "", $year = "", $echo = "", $detail = "")
{
    global $db,$lang, $area;

    if (!is_array($d_b)) 
	{
        $de_d = $d_b;
        $de_b = $m_b;
        $de_y = $year;
    } else {
		$m = date("d");
        $de_b = date("m");
        $de_y = "YEAR(NOW())";
		$de_d = (substr($m,0,1)=='0')  
			? 
			"
				((LEFT(Geburtstag,1) - " . substr($m,1) /* z.B.: 8.10.1980 */ . ") = 0 AND (RIGHT(LEFT(Geburtstag,4), 2) - " . $de_b . ") = 0) 
			OR 
				((LEFT(Geburtstag,2)) = '0" . substr($m,1) /* z.B.: 08.10.1980 */ . "'  AND (RIGHT(LEFT(Geburtstag,5), 2) - " . $de_b . ") = 0)
			" 
			: 
			"
				((LEFT(Geburtstag,1) - " . $m /* z.B.: 11.10.1980 */ . ") = 0 AND (RIGHT(LEFT(Geburtstag,4), 2) - " . $de_b . ") = 0)
			OR
				((LEFT(Geburtstag,2) - " . $m /* z.B.: 11.10.1980 */ . ") = 0 AND (RIGHT(LEFT(Geburtstag,5), 2) - " . $de_b . ") = 0)
			";
	} 

	
	if(!empty($m))
	{ 
		$q = "SELECT 
			Id as uid,
			Benutzername as uname,
			Geburtstag as user_birthday,
			$de_y - RIGHT(Geburtstag, 4) AS age
			FROM 
			" . PREFIX . "_benutzer AS u
			WHERE 
			u.Aktiv='1'
			HAVING 
			$de_d ";
		$sql = $GLOBALS['db']->Query($q);
	
		$user_birth_today = array();
		$i = 0;
		while ($row = $sql->fetchrow()) 
		{
			$user_birth_today[] = "<a class=\"light\" href=\"index.php?p=user&amp;id=$row->uid&amp;area=$area\">" . $row->uname . "</a> (" . $row->age . ")";
			$i++;
		} 
		if ($echo == 1) 
		{
			if ($detail == 1) 
			{
				$birthdays = implode(", ", $user_birth_today);
			} else {
				if (count($user_birth_today) < 3) 
				{
					$birthdays = implode("<br />", $user_birth_today);
				} else {
					$birthdays = "<a class=\"light\" href=\"index.php?p=calendar&amp;display=birthdays&amp;year=$year&amp;month=$de_b&amp;day=$de_d&amp;area=$area\">" . str_replace(0, "", $i) . " " . $GLOBALS['config_vars']['birtdays'] . "</a>";
				} 
			} 
			return $birthdays;
		} else {
			if ($user_birth_today) 
			{
				echo implode(", ", $user_birth_today);
			} else {
				echo $GLOBALS['config_vars']['Birthdays_Today_No'];
			}
		}
	}
}

//=================================================================
// ueberprueft, ob name oder email gesperrt wurden 
//=================================================================
function bannedname($name_tobann)
{
    global $db,$pref, $lang;
    $sql = $GLOBALS['db']->Query("SELECT NamenGesperrt FROM " . PREFIX . "_einstellungen");
    $row = $sql->fetchrow();

    $BANNED = "";
    $bnames = str_replace(array("\r\n", "\n"), "", $row->NamenGesperrt);
    $bnames = trim($bnames);

    $names = explode(",", $bnames);

    foreach ($names as $name) {
        if ($name == $name_tobann) {
            setcookie("kuid", "0" , time()-10000);
            setcookie("kpass", "0" , time()-10000);
            $BANNED = 1;
        } 
    } 
    return $BANNED;
} 

function bannedemail($email_tobann)
{
    global $db,$pref, $lang;
    $sql = $GLOBALS['db']->Query("SELECT EmailGesperrt FROM " . PREFIX . "_einstellungen");
    $row = $sql->fetchrow();

    $range = explode("@", $email_tobann);
    $isin = "*@" . $range[1];
    $BANNED = "";

    $emails = str_replace(array("\r\n", "\n"), "", $row->EmailGesperrt);
    $emails = trim($emails);

    $emails = explode(",", $emails);

    foreach ($emails as $email) {
        if ($email == $email_tobann || $email == $isin) {
            setcookie("kuid", "0" , time()-10000);
            setcookie("kpass", "0" , time()-10000);
            $BANNED = 1;
        } 
    } 
    return $BANNED;
}

function groupIdsMisc()
{
	$group_ids_misc = ""; 
    if (@is_numeric($_SESSION['benutzer_id']))
	{
        $queryfirst = "SELECT GruppeMisc FROM " . PREFIX . "_benutzer WHERE Id = '" . $_SESSION['benutzer_id'] . "'";
        $result = $GLOBALS['db']->Query($queryfirst);
        $user = $result->fetchrow(); 

        if (is_object($user) && $user->GruppeMisc != "")
		{
           $group_ids_pre = UGROUP . ";" . $user->GruppeMisc;
           $group_ids_misc = @explode(";", $group_ids_pre); 
        } else {
		    $group_ids_misc[] = $_SESSION['user_group'];
        } 
    } else {
        $group_ids_misc[] = 2;
    } 
	return  $group_ids_misc;
}

//=================================================================
// Benutzer-Video Funktionen
//=================================================================
function userVideosCount($id)
{
	$res = $GLOBALS['db']->RowQuery("SELECT COUNT(Id) AS ResCount FROM " . PREFIX . "_benutzer_videos WHERE Benutzer='$id'");
	return @$res->ResCount;
}
	
function userVideos($id)
{
	$videos = array();
	$sql = $GLOBALS['db']->Query("SELECT * FROM " . PREFIX . "_benutzer_videos WHERE Benutzer='$id' ORDER BY Position ASC LIMIT 4");
	
	while($row = $sql->fetchrow())
	{
		$file = '';
		
		switch($row->VideoSource)
		{
			case 'myvideo':
				$row->VideoData = "<object style='width:200px;height:173px;' width='200' height='173' type='application/x-shockwave-flash' data='http://www.myvideo.de/movie/".$row->Video."'><param name='movie' value='http://www.myvideo.de/movie/".$row->Video."'/><param name='AllowFullscreen' value='true' /><embed src='http://www.myvideo.de/movie/".$row->Video."' width='200' height='173'></embed></object>";
			break;
			
			case 'youtube':
				$row->VideoData = '<object width="200" height="173"><param name="movie" value="http://www.youtube.com/v/'.$row->Video.'"></param><param name="allowFullScreen" value="true"></param><embed src="http://www.youtube.com/v/'.$row->Video.'" type="application/x-shockwave-flash" allowfullscreen="true" width="200" height="173"></embed></object>';
			break;
		}
		
		array_push($videos,$row);
	}
	return $videos;
}

?>